CREATE TABLE cso_user_role (
    ROLE_ID             VARCHAR2(128) ,
    USER_ID             VARCHAR2(128) ,
    CREATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY     VARCHAR2(256)     NOT NULL,
    SEED_DATA_SOURCE    VARCHAR2(2048),
    USER_PARTY_ID       NUMBER(18, 0) ,
    ORA_SEED_SET1       VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2       VARCHAR2(4)       NOT NULL,
    ROLE_ID             VARCHAR2(128) ,
    USER_ID             VARCHAR2(128) ,
    CREATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY     VARCHAR2(256)     NOT NULL,
    SEED_DATA_SOURCE    VARCHAR2(2048),
    USER_PARTY_ID       NUMBER(18, 0) ,
    ORA_SEED_SET1       VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2       VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cso_user_role PRIMARY KEY (ROLE_ID, USER_ID, USER_PARTY_ID, ROLE_ID, USER_ID, USER_PARTY_ID)
);
